App\Library\Amazon\Classes\SystemPowerDevice:
    xml_root_name: SystemPowerDevice
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        energyEfficiencyRating:
            expose: true
            access_type: public_method
            serialized_name: EnergyEfficiencyRating
            accessor:
                getter: getEnergyEfficiencyRating
                setter: setEnergyEfficiencyRating
            type: App\Library\Amazon\Classes\EnergyEfficiencyRating
        mainPowerConnector:
            expose: true
            access_type: public_method
            serialized_name: MainPowerConnector
            accessor:
                getter: getMainPowerConnector
                setter: setMainPowerConnector
            type: App\Library\Amazon\Classes\MainPowerConnector
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        modular:
            expose: true
            access_type: public_method
            serialized_name: Modular
            accessor:
                getter: getModular
                setter: setModular
            type: App\Library\Amazon\Classes\Modular
        numberOfSATAPowerConnectors:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSATAPowerConnectors
            accessor:
                getter: getNumberOfSATAPowerConnectors
                setter: setNumberOfSATAPowerConnectors
            type: App\Library\Amazon\Classes\NumberOfSATAPowerConnectors
        pCIExpressConnectorConfiguration:
            expose: true
            access_type: public_method
            serialized_name: PCIExpressConnectorConfiguration
            accessor:
                getter: getPCIExpressConnectorConfiguration
                setter: setPCIExpressConnectorConfiguration
            type: App\Library\Amazon\Classes\PCIExpressConnectorConfiguration
        powerFactorCorrection:
            expose: true
            access_type: public_method
            serialized_name: PowerFactorCorrection
            accessor:
                getter: getPowerFactorCorrection
                setter: setPowerFactorCorrection
            type: App\Library\Amazon\Classes\PowerFactorCorrection
        powerSupplyFormFactor:
            expose: true
            access_type: public_method
            serialized_name: PowerSupplyFormFactor
            accessor:
                getter: getPowerSupplyFormFactor
                setter: setPowerSupplyFormFactor
            type: App\Library\Amazon\Classes\PowerSupplyFormFactor
        powerSupplyMaxOutput:
            expose: true
            access_type: public_method
            serialized_name: PowerSupplyMaxOutput
            accessor:
                getter: getPowerSupplyMaxOutput
                setter: setPowerSupplyMaxOutput
            type: App\Library\Amazon\Classes\PowerSupplyMaxOutput
        sLICertification:
            expose: true
            access_type: public_method
            serialized_name: SLICertification
            accessor:
                getter: getSLICertification
                setter: setSLICertification
            type: App\Library\Amazon\Classes\SLICertification
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
